bdi4jade.exception

## Class PlanInstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - bdi4jade.exception.PlanInstantiationException

- All Implemented Interfaces:
    java.io.Serializable

      public class PlanInstantiationException
      extends java.lang.Exception

  This method represents an exception that occurred during the instantiation process of a `PlanBody`.
  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanInstantiationException()` Creates a new instance of PlanInstantiationException.
    `PlanInstantiationException(java.lang.String _message)` Creates a new instance of PlanInstantiationException.
    `PlanInstantiationException(java.lang.String _message, java.lang.Throwable _cause)` Creates a new instance of PlanInstantiationException.
    `PlanInstantiationException(java.lang.Throwable _cause)` Creates a new instance of PlanInstantiationException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanInstantiationException

          public PlanInstantiationException()

      Creates a new instance of PlanInstantiationException.

    - #### PlanInstantiationException

          public PlanInstantiationException(java.lang.String _message)

      Creates a new instance of PlanInstantiationException.
      Parameters:
        `_message` - the message to show.

    - #### PlanInstantiationException

          public PlanInstantiationException(java.lang.String _message,
                                    java.lang.Throwable _cause)

      Creates a new instance of PlanInstantiationException.
      Parameters:
        `_message` - the message to show.
        `_cause` - the exception that caused this exception.

    - #### PlanInstantiationException

          public PlanInstantiationException(java.lang.Throwable _cause)

      Creates a new instance of PlanInstantiationException.
      Parameters:
        `_cause` - the exception that caused this exception.